<?xml version="1.0" encoding="UTF-8"?>
<!-- -*- coding: utf-8 -*- -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<!-- ********************************************************************** -->

<head>
  <!-- meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> -->

  <title>HPCToolkit Documentation</title>

  <link rel="stylesheet" type="text/css" href="style/style.css" />
</head>

<body>

<!-- ********************************************************************** -->

@header-hpctoolkit@

<!-- ********************************************************************** -->

<h1>Documentation</h1>

<h2>Quick Reference</h2>
<ul>

<li>
Quick Start Guide: See Chapter 3 of Manual [<a href="manual/HPCToolkit-users-manual.pdf">pdf</a>]
</li>

<li>
Using HPCToolkit with MPI: See Chapter 6 of Manual [<a href="manual/HPCToolkit-users-manual.pdf">pdf</a>]
</li>

<li>
Troubleshooting Guide: See Chapter 8 of Manual [<a href="manual/HPCToolkit-users-manual.pdf">pdf</a>]
</li>

</ul>


<h2>Manuals</h2>
<ul>

<li>
Building and Installing Instructions [<a href="software-instructions.html">html</a>]

</li>

<li>
User's Manual [<a href="manual/HPCToolkit-users-manual.pdf">pdf</a>]
</li>

<!-- Using hpcviewer to browse performance databases [<a href="http://hipersoft.rice.edu/hpctoolkit/SERVER/tutorials/Using-hpcviewer.pdf">pdf</a>] -->
<!-- <a href="http://hipersoft.rice.edu/hpctoolkit/SERVER/sc04/index.html">Supercomputing 2004 tutorial notes and exercises</a> -->

</ul>


<h2>Man Pages</h2>
<ul>

<li>
  <a href="man/hpctoolkit.html">HPCToolkit Overview</a>
</li>

<li> Measurement:
<ul>
<li>
  <a href="man/hpcrun.html">hpcrun</a>,
  <a href="man/hpclink.html">hpclink</a>,
</li>
</ul>
</li>

<li> Analysis &amp; Attribution:
<ul>
  <li>
    <a href="man/hpcstruct.html">hpcstruct</a>
  </li>
  <li>
    <a href="man/hpcprof.html">hpcprof</a>,
    <a href="man/hpcprof-mpi.html">hpcprof-mpi</a>,
    <ul>
      <li>
        <a href="man/hpcproftt.html">hpcproftt</a>
      </li>
      <li>
        <a href="man/hpcsummary.html">hpcsummary</a>
      </li>
    </ul>
  </li>

</ul>
</li>

<li> Presentation:
<ul>
  <li>
    <a href="man/hpcviewer.html">hpcviewer</a>
  </li>
</ul>
</li>

</ul>


<h2>Questions, Problems, Bug Reports</h2>

<p>
The best way to contact us for questions or bug reports is via the
mailing list hpctoolkit-forum =at= rice.edu.  The mailman list is
technically members-only, but you don't really need to be a member.
Just send mail to this address, say something relevant to hpctoolkit
and then we can white-list you.
</p>

<p>
If reporting a problem, be sure to include sufficient information
about your system, what you tried, what went wrong, etc, to allow us
follow your steps.
</p>

<ul>
<li>type of system, architecture, linux distribution and version, compiler
version, glibc version.
</li>

<li>hpctoolkit version.
</li>

<li>if a build failure, then the config.log file from the build
directory and the output from make.
</li>

<li>if a run failure, then what command you ran and how it failed.
</li>
</ul>


<p>[<span class="lastupdated">Page last updated: 2020/12/03</span>]
</p>

<!-- ********************************************************************** -->

@footer-hpctoolkit@

<!-- ********************************************************************** -->

</body>
</html>


<!-- Local Variables: -->
<!-- eval: (add-hook 'write-file-hooks 'time-stamp) -->
<!-- time-stamp-start: "<span class=\"lastupdated\">Page last updated: " -->
<!-- time-stamp-format: "%:y/%02m/%02d" -->
<!-- time-stamp-end: "</span>" -->
<!-- time-stamp-line-limit: 10000 -->
<!-- End: -->
